All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.user
Class UserContextPermission

    com.sas.services.user.UserContextPermission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class UserContextPermission

This class is used to protect UserContext objects that are stored in the UserService. In order to get a user, UserContext "read" permission is required.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`UserContextPermission()` Constructs a default user context permission.
`UserContextPermission(java.lang.String name)` Constructs a user context permission using the specified name.
`UserContextPermission(java.lang.String name, java.lang.String actions)` Constructs a user context permission using the specified name and actions.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Determines whether or not the specified object is a user context permission.
`java.lang.String` | `getActions()` Gets the user context permission's actions.
`int` | `hashCode()` Gets the hash code.
`boolean` | `implies(java.security.Permission permission)` Determines whether the permission is implied.

Constructor Detail

### UserContextPermission

    public UserContextPermission()

  Constructs a default user context permission.

### UserContextPermission

    public UserContextPermission(java.lang.String name)

  Constructs a user context permission using the specified name.

  Parameters:
    `name` - Permission's name.

### UserContextPermission

    public UserContextPermission(java.lang.String name,
                                 java.lang.String actions)

  Constructs a user context permission using the specified name and actions.

  Parameters:
    `name` - Permission's name.
    `actions` - Permission's actions.

Method Detail

### implies

    public boolean implies(java.security.Permission permission)

  Determines whether the permission is implied.

  Overrides:
    `implies` in class `java.security.BasicPermission`
  Parameters:
    `permission` - Permission
  Returns:
    `true` if the permission is implied.

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether or not the specified object is a user context permission.

  Overrides:
    `equals` in class `java.security.BasicPermission`
  Parameters:
    `obj` - Permission
  Returns:
    `true` if the object is a user context permission.

### hashCode

    public int hashCode()

  Gets the hash code.

  Overrides:
    `hashCode` in class `java.security.BasicPermission`
  Returns:
    Hash code.

### getActions

    public java.lang.String getActions()

  Gets the user context permission's actions.

  Overrides:
    `getActions` in class `java.security.BasicPermission`
  Returns:
    Actions.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.